Bug 1277159 - [RFE] hostdev_passthrough: Provide ability to automatically connect USB device on a running VM.
[RFE] hostdev_passthrough: Provide ability to automatically connect USB devic...
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt (Show other bugs)
3.6.0.1
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: Michal Skrivanek
Nisim Simsolo
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-02 09:18 EST by Nisim Simsolo
Modified: 2016-02-02 22:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michal.skrivanek: ovirt‑future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Nisim Simsolo 2015-11-02 09:18:50 EST
Description of problem:

The purpose of this RFE is to support normal behavior of USB passthrough within the same way as it supposed to be on a non virtual machine. 

Currently when disconnecting USB device attached to VM, it can't be connected again unless the VM is restarted.
Furthermore, USB device can't be replaced with other USB device, unless the user power off VM -> detach USB port from VM -> refresh host capabilities -> attach USB port back to VM -> start VM again.

Version-Release number of selected component (if applicable):
rhevm-3.6.0.1-0.1.el6 (3.6.0-17)
vdsm-4.17.10-5.el7ev.noarch
qemu-kvm-rhev-2.3.0-31.el7.x86_64
libvirt-client-1.2.17-5.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Attach USB DOK to VM and run VM.
2. Unplug USB device and plug it again / Replace USB DOK with USB keyboard.
3. 

Actual results:
1. USB DOK attached to VM.
2. USB device remain unplugged.

Expected results:
USB device should be connected back to VM, regardless to USB product type.

Additional info:
Comment 1 Michal Skrivanek 2015-11-04 09:15:47 EST
IOW you're asking for hotplug support, right
Comment 2 Nisim Simsolo 2015-11-04 09:25:25 EST
Yep

Note You need to log in before you can comment on or make changes to this bug.